struct xinfo {
	Display *display;	/* which X connection */
	int screen;		/* and which screen thereof */
	Window win;		/* our window */
	GC gc;			/* a gc */
	Pixmap pm, icon_pixmap;	/* a double buffer & an icon */
	int depth, x, y;	/* size info */
	int x_descriptor;	/* file id */
	int mid;		/* ID to send with messages */
	int colorcount;		/* how many fixed colors to alloc/did alloc */
	unsigned long *colors;	/* array */
	void (*eventhandler)(int id, XEvent* report); /* to call for event */
	void (*dodraw)(int id);			/* [re]draw window */
	void (*end_x_connection)(int id);	/* notify it's gone */
	XFontStruct *font_info;
	int update_flag;	/* need to redraw */
};

struct xprefs {
	int x_argc;
	char **x_argv;
	char *display_name;
	long event_mask;
	int colorcount;		/* how many fixed colors to alloc */
	unsigned long *colors;	/* array */
	char **color_names;	/* array of pointers */
	char *window_name;
	char *icon_name;
	int x, y;
	unsigned int borderwidth;
};
